### Method

# Gck Object get_data

#### Declaration [src]

    guchar*
    gck_object_get_data (
      GckObject* self,
      gulong attr_type,
      GCancellable* cancellable,
      gsize* n_data,
      GError** error
    )

#### Description [src]

Get the data for the specified attribute from the object. For convenience the returned data has a null terminator.

This call may block for an indefinite period.

#### Parameters

`attr_type`

  Type: `gulong`

  The attribute to get data for.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`n_data`

  Type: `gsize*`

  The length of the resulting data.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guchar`

The resulting PKCS#11 attribute data, or `NULL` if an error occurred.

The length of the array is in the `n_data` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.